Package org.eclipse.mat.parser.internal.oql

## Class OQLQueryImpl

- java.lang.Object
- - org.eclipse.mat.parser.internal.oql.OQLQueryImpl

All Implemented Interfaces:
  `IOQLQuery`

    public class OQLQueryImpl
    extends java.lang.Object
    implements IOQLQuery

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.mat.snapshot.IOQLQuery

`IOQLQuery.Result`

### Constructor Summary

Constructors
`OQLQueryImpl​(java.lang.String queryString)`
`OQLQueryImpl​(EvaluationContext parent, Query query)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.lang.Object` `execute​(ISnapshot snapshot, IProgressListener monitor)` Execute the OQL query.
`static java.lang.String` `OQLforSubject​(java.lang.String select, java.lang.Object subject, java.lang.String alias)`
`static java.lang.String` `OQLLiteral​(java.lang.Object subject)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### OQLQueryImpl

    public OQLQueryImpl​(EvaluationContext parent,
                        Query query)

#### OQLQueryImpl

    public OQLQueryImpl​(java.lang.String queryString)
                 throws OQLParseException

Throws:
  `OQLParseException`

### Method Detail

#### OQLLiteral

    public static java.lang.String OQLLiteral​(java.lang.Object subject)

#### OQLforSubject

    public static java.lang.String OQLforSubject​(java.lang.String select,
                                                 java.lang.Object subject,
                                                 java.lang.String alias)

#### execute

    public java.lang.Object execute​(ISnapshot snapshot,
                                    IProgressListener monitor)
                             throws SnapshotException

Description copied from interface: `IOQLQuery`
Execute the OQL query. Returns a result object, either a primitive integer array containing object ids or IResultTable.

Specified by:
  `execute` in interface `IOQLQuery`
Throws:
  `SnapshotException`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`